libsidplayfp::NullSid Class Referencefinal

`#include <NullSid.h>`

Inheritance diagram for libsidplayfp::NullSid:

## Public Member Functions

void | reset (uint8_t) override
void | writeReg (uint_least8_t, uint8_t) override
uint8_t | read (uint_least8_t) override
Public Member Functions inherited from libsidplayfp::c64sid
void | reset ()
void | poke (uint_least16_t address, uint8_t value) override
uint8_t | peek (uint_least16_t address) override
void | getStatus (uint8_t regs[0x20]) const

## Static Public Member Functions

static NullSid * | getInstance ()

## Additional Inherited Members

## Detailed Description

SID chip placeholder which does nothing and returns 0xff on reading.

## Member Function Documentation

## getInstance()

static NullSid * libsidplayfp::NullSid::getInstance | ( |  | ) |

inline static

Returns singleton instance.

## read()

uint8_t libsidplayfp::NullSid::read | ( | uint_least8_t |  | ) |

inline override virtual

Implements libsidplayfp::c64sid.

## reset()

void libsidplayfp::NullSid::reset | ( | uint8_t |  | ) |

inline override virtual

Implements libsidplayfp::c64sid.

## writeReg()

void libsidplayfp::NullSid::writeReg | ( | uint_least8_t | ,
|  | uint8_t |
| ) |  |

inline override virtual

Implements libsidplayfp::c64sid.

The documentation for this class was generated from the following file:

- NullSid.h